/*===========================================================================*/
/*                                                                           */
/*                    Isaac Newton Group of Telescopes                       */
/*                   Roque de los Muchachos Observatory                      */
/*                               La Palma                                    */
/*                                                                           */
/*                        (c) Copyright PPARC 2007                           */
/*                                                                           */
/*===========================================================================*/
/*
COMPONENT:
   $Id: udas_corba_client.hh,v 1.3 2009/01/13 08:48:38 whtsm Exp $

TYPE:
   C++ include file.

PURPOSE:
   CORBA C++ client library for the udas camera server.

PERSONNEL:
   Richard Bassom, Computer Software Group, ING.  rab@ing.iac.es


HISTORY:
   $Log: udas_corba_client.hh,v $
   Revision 1.3  2009/01/13 08:48:38  whtsm
   Added method to get an object reference from a stringified name service IOR.

   Revision 1.2  2007/12/07 13:56:36  rab
   Added method for a named host for the name service.

   Revision 1.1  2007/06/11 09:35:32  rab
   Udas CORBA client library functions.



--- End of module header information ----------------------------------------*/
#ifndef __lint
   const char udas_corba_client_hh[] = "@(#)$Id: udas_corba_client.hh,v 1.3 2009/01/13 08:48:38 whtsm Exp $";
#endif

/*- Feature test switches ---------------------------------------------------*/

/*- System headers ----------------------------------------------------------*/
/* Header-files standardized by ANSI C: */

/*- Local headers -----------------------------------------------------------*/
/*- Local macros ------------------------------------------------------------*/

/*- Local typedefs, structures and unions -----------------------------------*/

/*- External data -----------------------------------------------------------*/
/*- Local data --------------------------------------------------------------*/

/*- Function prototypes -----------------------------------------------------*/
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////

CORBA::Object_ptr getObjectReference(CORBA::ORB_ptr orb,
                                     char * context_name, char * object_name);

CORBA::Object_ptr getObjectReference(CORBA::ORB_ptr orb,
                                     char * nameServiceIor,
                                     char * context_name, char * object_name);
CORBA::ORB_var getOrb(int& argc,
                      char** argv,
                      const char* orb_identifier,
                      char * hostname);
                      
CORBA::ORB_var getOrb(int& argc,
                      char** argv,
                      const char* orb_identifier);
